BOOL APIENTRY
DlgProc(HWND hdlg, UINT msg, WPARAM wParam, LPARAM lParam);

BOOL DlgProc_OnInitDialog(HWND hdlg, 
  HWND hwndFocus, LPARAM lParam);

void DlgProc_OnCommand(HWND hdlg, int id, 
  HWND hwndCtl, UINT codeNotify);

void DlgProc_OnTimer(HWND hwnd, UINT id);

void DlgProc_OnHScroll(HWND hwnd, HWND hwndCtl, UINT code, int pos);

void UpdateDlgControls(void);

BOOL CdInit(void);
void CdClose(void);
void mciwioError(DWORD dwrc);
BOOL CdUpdateState(HWND hdlg);
void CdPlay(HWND hwnd, UINT nTrack);
void CdStop(void);
void CdPause(void);
void CdResume(HWND hwnd);
void CdPlayNext(HWND hwnd);
void CdPlayPrev(HWND hwnd);
void CdEject(void);

#define CD_EMPTY   0
#define CD_READY   1
#define CD_PLAYING 2
#define CD_PAUSED  3


#define CDSTATE_NOCHANGE  4
#define CD_TRACKCHANGED  4
#define CD_DISKCHANGED   5




